Subject: Re: bug#71364: Fix Table.el export

From: Jeremy Bryant <[email-masked]>
Date: Sat, 06 Jul 2024 23:25:11 +0100

Lockywolf Laptop <[email-masked]> writes:

>>should or should not expect LaTeX markup
>
> How much of LaTeX markup?
> What if you add some mysterious \makeatletter there?
>
> I generally agree with Reuben that making this work is a thing hard to
> get right.
>
> Moreover, as I mentioned above, I only used table.el with org-mode, but
> I can't remember for sure what happens if one uses org-links in the
> table.el cells. Do they become latex href links? Or links to images? Do
> they turn into \includegraphics? Latex math is part of org, so I
> presume, it is expected to somehow work, but I am not sure how.
>
>>In any case, this is beyond the immediate issues discussed in this bug
>>report, I think.  Broken code must be fixed.
>
> I don't think it is a bug. It is an intentional limitation of scope,
> which implements a crude but simple way of producing valid outputs,
> albeit not 100% functional.
>

I concur - why is it a bug? (as opposed to a feature extension)
To write LaTeX documents, including with tables, there are dedicated
major modes.

On the other hand, table.el's Commentary states

;; This package provides text based table creation and editing
;; feature.  With this package Emacs is capable of editing tables that
;; are embedded inside a text document, the feature similar to the

The primary input appears plain text, with the export to LaTeX a
convenience.

So it appears that the problem is approached the wrong way around?

>From this point of view how practical or desirable (feature duplication)
is it to allow the processing of a smaller or larger subset of LaTeX
within table.el?